#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: rabbitmq-svc.{{ .Values.sharedEnvironment }}.svc.cluster.local
    port: 5672
    username: guest
    password: guest
    export_exchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key

server:
  port: 9205
  max-http-header-size: 262144

email:
  sender: sender@test.tester
  smtpHost: mailhog-service.{{ .Values.sharedEnvironment }}.svc.cluster.local
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

---

spring:
  profiles: qserver
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    export_exchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key

server:
  port: 9205
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

email:
  sender: sender@test.tester
  smtpHost: localhost
  port: 1025

swagger:
  enabled: true
  baseUrl: /testmail